Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.api
Class DeploymentIdResolver

    java.lang.Object
      org.jbpm.kie.services.api.DeploymentIdResolver

    public class DeploymentIdResolver

extends Object

Deployment id resolver that allows to find out latest version of given deployment id. To be able to find it deployment id needs to be done with valid group and artifact id and version must be set to `latest` (case insensitive):
`org.jbpm:HR:latest`
then available deployment units will be scanned and based on Maven version comparison latest will be returned.
Primary method to be used `matchAndReturnLatest(java.lang.String, java.util.Collection)`

Constructor Summary
`DeploymentIdResolver()`

Method Summary
`static String` | `findLatest(Collection<String> deploymentIds)`
`static String` | `matchAndReturnLatest(String deploymentId, Collection<String> availableDeployments)`
`static Collection<String>` | `matchDeployments(String deploymentId, Collection<String> availableDeployments)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentIdResolver

    public DeploymentIdResolver()

Method Detail

### matchAndReturnLatest

    public static String matchAndReturnLatest(String deploymentId,
                                              Collection<String> availableDeployments)

### matchDeployments

    public static Collection<String> matchDeployments(String deploymentId,
                                                      Collection<String> availableDeployments)

### findLatest

    public static String findLatest(Collection<String> deploymentIds)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.